/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.framework.core.bootstrap;


/**
 * Corresponds to the &lt;parm&gt; tag in a Wap provisioning doc.
 *
 *
 *
 * @version $Id: Parm.java,v 1.1 2006/01/18 18:38:11 luigiafassina Exp $
 *
 */
public final class Parm {

    // -------------------------------------------------------------- Properties

    private String name;
    private String value;

    // ------------------------------------------------------------ Constructors
    public Parm() {
    }

    public Parm(String name, String value) {
        this.name  = name;
        setValue(value);
    }


    /**
     * Gets the name
     * @return the name of this parm
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of this parm
     * @param name the name to sets
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Gets the value
     * @return the value of this parm.
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value of this parm
     * @param value the value to sets
     */
    public void setValue(String value) {
        this.value = ( (value == null) ? "" : value );
    }


}
