/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.framework.core.dm.ddf;


/**
 * Corresponds to the single connection node in the management tree
 *
 *
 *
 * @version $Id: Connection.java,v 1.1 2006/01/18 18:38:12 luigiafassina Exp $
 */
public class Connection  implements java.io.Serializable {

    // --------------------------------------------------------------- Constants
    public static final String CON_NAP = "/NAP";
    public static final String CON_PX  = "/PX";
    public static final String CON_EXT = "/Ext";


    // ------------------------------------------------------------ Private data
    private NAP nap;
    private PX  px;
    private Ext ext;


    // ------------------------------------------------------------ Constructors
    /**
     * Creates a new Connection object
     *
     */
    public Connection() {}


     /**
      * Creates a new Connection object with the given parameters
      *
      * @param nap the nap node
      * @param px the px node
      */
     public Connection(final Ext ext,
                       final NAP nap,
                       final PX  px ) {
         this.nap    = nap;
         this.px     = px;
         this.ext    = ext;
     }


     // ---------------------------------------------------------- Public methods

     /**
      * Gets the nap
      *
      * @return  the nap
      */
     public NAP getNap() {
         return nap;
     }

     /**
      * Sets the nap
      *
      * @param  the nap
      */
     public void setNap(NAP nap) {
         this.nap = nap;
     }

     /**
      * Gets the px
      *
      * @return  the px
      */
     public PX getPX() {
         return px;
     }

     /**
      * Sets the px
      *
      * @param  the px
      */
     public void setPX(PX px) {
         this.px = px;
     }

     /**
      * Gets the ext
      *
      * @return the ext
      */
     public Ext getExt() {
         return ext;
     }

     /**
      * Sets the ext
      *
      * @param the ext
      */
     public void setExt(Ext ext) {
         this.ext = ext;
     }

 }
