/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.framework.engine;

import com.funambol.framework.engine.SyncItem;
import com.funambol.framework.engine.SyncOperationImpl;

/**
 * A synchronization conflict reflects a situation where one item has changed
 * in both the sources involved in the synchronization. See SyncProcess for
 * more details.
 *
 *
 *
 * @version $Id: SyncConflict.java,v 1.1 2006/01/18 18:38:12 luigiafassina Exp $
 */
public class SyncConflict extends SyncOperationImpl {

    // -------------------------------------------------------------- Properties

    /**
     * The type of this operation
     */
    private String type;
    public String getType() {
        return this.type;
    }

    // ------------------------------------------------------------ Constructors

    public SyncConflict() {
    }

    public SyncConflict(SyncItem SyncItemA, SyncItem SyncItemB, String type) {
        super(SyncItemA, SyncItemB, CONFLICT);

        this.type = type;
    }
}
