/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.framework.engine.dm;

/**
 * Base class for aggregated operations such as Atomic or Sequence.
 *
 *
 *
 * @version $Id: AggregatedManagementOperation.java,v 1.1 2006/01/18 18:38:12 luigiafassina Exp $
 */
public abstract class AggregatedManagementOperation
extends ManagementOperation
implements java.io.Serializable {

    // ------------------------------------------------------------ Private data

    private ManagementOperation[] operations;

    // ------------------------------------------------------------ constructors

    protected AggregatedManagementOperation() {
        operations = new ManagementOperation[0];
    }

    // ---------------------------------------------------------- Public methods

    /**
     * Returns the contained commands.
     *
     * @return the contained commands.
     */
    public ManagementOperation[] getOperations() {
        return operations;
    }

    /**
     * Set the commands aggregation.
     *
     * @param commands the commands that will take part of the aggregation
     */
    public void setOperations(ManagementOperation[] operations) {
        this.operations = operations;
    }
}
