/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.framework.protocol.v11;

import java.util.List;
import java.util.Iterator;

import com.funambol.framework.core.*;

import com.funambol.framework.protocol.ProtocolException;
import com.funambol.framework.protocol.v11.BasicRequirements;
import com.funambol.framework.protocol.v11.Errors;

/**
 * This class groups utility methods used for checking that a management actions
 * response massage follows the requirements that the protocol mandates.
 *
 *
 */
public class ManagementActionsRequirements
extends BasicRequirements
implements Errors {

    // --------------------------------------------------------------- Constants

    // ---------------------------------------------------------- Public methods

    /**
     * Checks if the Results commands follow the specs
     *
     * @param results the result commands
     *
     * @throws ProtocolException
     */
    static public void checkResults(List results) throws ProtocolException {
        Results r;
        List items;

        Iterator i = results.iterator();

        while (i.hasNext()) {
            r = (Results)i.next();

            items = r.getItems();
            if (items.size() == 0) {
                Object[] args = new Object[] { r.getCmdID().getCmdID() };
                throw new ProtocolException(ERRMSG_NO_ITEM_IN_RESULTS, args);
            }

            Iterator j = items.iterator();
            while (j.hasNext()) {
                if (((Item)j.next()).getSource() == null) {
                    throw new ProtocolException(ERRMSG_MISSING_SOURCE_ITEM);
                }
            }
        }
    }
}
