/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.framework.security;

/**
 * This interface contains the constants for security.
 *
 * @version $Id: SecurityConstants.java,v 1.1 2006/01/18 18:38:12 luigiafassina Exp $
 */
public interface SecurityConstants {

    public static final int AUTH_UNAUTHENTICATED     = 0x0001;
    public static final int AUTH_MISSING_CREDENTIALS = 0x0002;
    public static final int AUTH_INVALID_CREDENTIALS = 0x0003;
    public static final int AUTH_AUTHENTICATED       = 0x0004;
    public static final int AUTH_ACCEPTED            = 0x0005;

    public static final int AUTH_RETRY_1             = 0x0020;

    public static final String RESOURCE_SESSION    = "funambol.session"   ;
    public static final String RESOURCE_MANAGEMENT = "funambol.management";
}
