/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.framework.tools;

/**
 * This interface specifies an id generator. The <i>next()</i> method returns the
 * newest generated id, whilst <i>current()</i> returns the latest generated id.
 * <p>
 *
 * @version $Id: IdGenerator.java,v 1.1 2006/01/18 18:38:13 luigiafassina Exp $
 */
public interface IdGenerator {

  /**
   * Returns a new generated id.
   *
   * @return a new generated id.
   */
  public String next();

  /**
   * Reset the generator to 0.
   */
  public void reset();

  /**
   * Returns the last generated id (which is the current id).
   *
   * @return the last generated id
   */
  public String current();
}
