/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.server.admin;

import com.funambol.framework.server.SyncUser;
import com.funambol.framework.server.store.Clause;
import com.funambol.framework.server.store.PersistentStoreException;

/**
 * A <i>UserManager</i> is a class that manager users and roles.
 *
 *
 *
 * @version $Id: UserManager.java,v 1.1 2006/01/18 18:38:17 luigiafassina Exp $
 */
public interface UserManager {

    // ---------------------------------------------------------- Public methods
    public String[] getRoles() throws PersistentStoreException;

    public SyncUser[] getUsers(Clause clause) throws PersistentStoreException;

    public void getUserRoles(SyncUser user) throws PersistentStoreException;

    public void setUser(SyncUser user) throws PersistentStoreException;

    public void insertUser(SyncUser user) throws PersistentStoreException;

    public void deleteUser(SyncUser user) throws PersistentStoreException;

    public int countUsers(Clause clause) throws PersistentStoreException;
}
