/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package com.funambol.server.admin.ejb;

import javax.ejb.*;

import java.util.Hashtable;

import com.funambol.framework.server.SyncUser;
import com.funambol.framework.server.Sync4jDevice;
import com.funambol.framework.server.store.Clause;

import com.funambol.framework.config.Configuration;
import com.funambol.framework.security.Sync4jPrincipal;
import com.funambol.framework.engine.source.SyncSource;

import com.funambol.framework.server.error.ServerException;

import com.funambol.server.admin.AdminException;
import com.funambol.framework.server.Sync4jModule;

/**
 *
 *
 *
 * @version $Id: AdminLocal.java,v 1.1 2006/01/18 18:38:17 luigiafassina Exp $
 *
 */
public interface AdminLocal extends EJBLocalObject {

    /**
     * CONFIGURATION
     */
    public Configuration getConfig();

    /**
     * USER
     */
    public String[] getRoles()
    throws ServerException, AdminException;

    public SyncUser[] getUsers(Clause clause)
    throws ServerException, AdminException;

    public void insertUser(SyncUser u)
    throws ServerException, AdminException;

    public void setUser(SyncUser u)
    throws ServerException, AdminException;

    public void deleteUser(String userName)
    throws ServerException, AdminException;

    public void importUser(SyncUser u)
    throws ServerException, AdminException;

    public int countUsers(Clause clause)
    throws ServerException, AdminException;


    /**
     * DEVICE
     */
    public Sync4jDevice[] getDevices(Clause clause)
    throws ServerException, AdminException;

    public String insertDevice(Sync4jDevice d)
    throws ServerException, AdminException;

    public void setDevice(Sync4jDevice d)
    throws ServerException, AdminException;

    public void deleteDevice(String deviceId)
    throws ServerException, AdminException;

    public int countDevices(Clause clause)
    throws ServerException, AdminException;


    /**
     * PRINCIPAL
     */
    public Sync4jPrincipal[] getPrincipals(Clause clause)
    throws ServerException, AdminException;

    public String insertPrincipal(Sync4jPrincipal p)
    throws ServerException, AdminException;

    public void deletePrincipal(String principalId)
    throws ServerException, AdminException;

    public int countPrincipals(Clause clause)
    throws ServerException, AdminException;


    /**
     * MODULE
     */
    public Sync4jModule[] getModulesName()
    throws ServerException, AdminException;

    public Sync4jModule getModule(String moduleId)
    throws ServerException, AdminException;

    public void insertModule(Sync4jModule syncModule, byte[] filess4j)
    throws ServerException, AdminException;

    public void deleteModule(String moduleId)
    throws ServerException, AdminException;

    /**
     * SOURCE
     */
    public void insertSource(String moduleId, String connectorId, String sourceTypeId, SyncSource source)
    throws ServerException, AdminException;

    public void setSource(String moduleId, String connectorId, String sourceTypeId, SyncSource source)
    throws ServerException, AdminException;

    public void deleteSource(String sourceUri)
    throws ServerException, AdminException;

}
