/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.server.engine;

import com.funambol.framework.core.ModificationCommand;
import com.funambol.framework.engine.SyncOperation;
import com.funambol.framework.engine.source.SyncSource;
import com.funambol.server.engine.Sync4jOperationStatus;

/**
 * This class represents a SyncOperation excecuted without problems.
 *
 *
 *
 * @version $Id: Sync4jOperationStatusConflict.java,v 1.1 2006/01/18 18:38:17 luigiafassina Exp $
 */
public class Sync4jOperationStatusConflict extends Sync4jOperationStatus {
    /**
     * The code identifying how the conflict has been resolved
     */
    private int conflictResolution;

    /** Creates a new instance of Sync4jOperationStatus */
    public Sync4jOperationStatusConflict(SyncOperation       operation ,
                                         SyncSource          syncSource,
                                         ModificationCommand cmd       ,
                                         int                 resolution) {
        super(operation, syncSource);
        this.cmd = cmd;
        this.conflictResolution = resolution;
    }

    /** Which SyncML status code this condition corresponds to?
     *
     */
    public int getStatusCode() {
        return conflictResolution;
    }

}
