/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.server.notification;

import com.funambol.framework.notification.*;

/**
 *
 *
 *
 * @version $Id: GenericNotificationMessageBuilder.java,v 1.1 2006/01/18 18:38:18 luigiafassina Exp $
 */
public class GenericNotificationMessageBuilder implements NotificationMessageBuilder {


    // ---------------------------------------------------------- Public Methods


    public byte[] buildMessage(int sessionId, String phoneNumber, String serverId,
                               String serverPw, byte[] serverNonce, float dmProtocolVersion)
        throws NotificationException {

        TriggerHeaderNotificationMessage header = new TriggerHeaderNotificationMessage();
        header.setInitiator(header.INITIATOR_CLIENT);
        header.setUiMode(header.UI_MODE_NOT_SPECIFIED);
        header.setVersion(dmProtocolVersion);

        header.setServerIdentifier(serverId);

        header.setSessionId(sessionId);

        DigestNotificationMessage digestMessage = new DigestNotificationMessage();
        digestMessage.setNonce(serverNonce);
        digestMessage.setServerId(serverId);
        digestMessage.setServerPw(serverPw);

        // Uncomment if you want a body message
        /*
                 TriggerBodyNotificationMessage bodyMessage = new TriggerBodyNotificationMessage();
                 byte[] body = {4, 68};
                 bodyMessage.setBodyMessage(body);
         */

        TriggerNotificationMessage notificationMsg = new TriggerNotificationMessage();
        notificationMsg.setDigest(digestMessage);
        notificationMsg.setHeader(header);

        // Uncomment if you want a body message
        /*
                 notificationMsg.setBody(bodyMessage);
         */

        byte[] msg = notificationMsg.computeTriggerNotificationMessage();

        return msg;
    }


}
