/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.server.notification;

import java.io.IOException;
import java.io.OutputStream;

import org.kxml.wap.Wbxml;
import org.kxml.wap.WbxmlWriter;



/**
 * A parser for WapProvisioningDoc built on top of the WbxmlWriter
 *
 *
 * @version $Id: WapProvisioningDocWriter.java,v 1.1 2006/01/18 18:38:18 luigiafassina Exp $
 */
public class WapProvisioningDocWriter extends WbxmlWriter {
    // --------------------------------------------------------------- Constants

    // ------------------------------------------------------------ Private data
    private OutputStream out = null;

    /**
     * Calls constructor of WbxmlWriter, sets then the appropriate tag table
     * @exception IOException if an error occurs
     */
    public WapProvisioningDocWriter(OutputStream out) throws IOException {
        super(out);

        this.out = out;

        setTagTable(0, WapProvisioningDocWBXML.tagTable[0]);
        setTagTable(1, WapProvisioningDocWBXML.tagTable[1]);

        setAttrStartTable(0, WapProvisioningDocWBXML.attributeStartTable[0]);
        setAttrStartTable(1, WapProvisioningDocWBXML.attributeStartTable[1]);

        setAttrValueTable(0, WapProvisioningDocWBXML.paramValueTable[0]);
        setAttrValueTable(1, WapProvisioningDocWBXML.paramValueTable[1]);
    }


    /**
     * Writes out WBXML headers, override for other behaviour / values
     *
     * @exception IOException if an error occurs while writing
     */
    protected void writeHeader() throws IOException {
        out.write(Wbxml.WBXML_VERSION_12  ); // version
        out.write(0x0B); // public identifier
        out.write(Wbxml.WBXML_CHARSET_UTF8); // UTF-8
    }


}
